# Task Queues Task Queues ## Gets all of the task queues in the system. - [GET /taskQueues/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/listtaskqueues.md): This method will scan all task queues and and return them to the caller. ## Creates a new task queue record that does not already exist. - [POST /taskQueues/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/createtaskqueue.md): This method will auto-generate an ID and create a new task queue. If an ID is specified for the task queue, an error will be thrown. ## Execute Batch Operations - [POST /taskQueues/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a task queue from the system by its ID. - [DELETE /taskQueues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/deletetaskqueue.md): This method will delete a task queue with the specified ID. ## Returns a task queue from the system by its ID. - [GET /taskQueues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/gettaskqueue.md): This method will look up a task queue by the specified ID and return it back. ## Partially updates a task queue with the specified ID. - [PATCH /taskQueues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/patchtaskqueue.md): This method will patch an existing task queue with the specified ID, using the HTTP PATCH specification. ## Updates a task queue with the specified ID. - [PUT /taskQueues/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/task-queues/updatetaskqueue.md): This method will update an existing task queue with the specified ID.